# Fund Your Account Balance Once you’ve [activated ShipStation Carriers](/apis/shipengine/docs/carriers/setup), you’ll need to add funds to your account balance to start purchasing labels. This article explains how to add funds to your ShipStation API account balance programmatically using the PUT method with the `add_funds` endpoint. To learn how to add funds to your account balance via the ShipStation API dashboard, see the **Add Funds** section of our [ShipStation Carriers help article](https://help.shipengine.com/hc/en-us/articles/19992783066267). ## Requirements * The `carrier_id` property for one of your ShipStation carriers. * The `currency` and `amount` properties. Currently, all ShipStation API transactions are in US Dollars (USD) or British Pounds (GBP) only. * The `add_funds` endpoint must first be enabled by the ShipStation API Support team. If you'd like to add funds via this endpoint, [submit a request with our support team](https://help.shipengine.com/hc/en-us/requests/new). ## Add Funds > **IMPORTANT:** This request is a live transaction that charges your payment method! There is no test mode for adding funds. You will be charged when making this request. Credit card processing fees may apply. ### Example Request & Response **PUT /v1/carriers/:carrier_id/add_funds** ```http PUT /v1/carriers/se-123890/add_funds HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "currency": "usd", "amount": 10.0 } ``` **Example Response** ```json { "balance": { "currency": "usd", "amount": 50.00 } } ``` ## Check Your Balance You can check your balance for a particular carrier using the [List Carriers](/apis/shipengine/docs/reference/list-carriers) endpoint. For any carrier account where `requires_funded_amount` is set to `true`, you can add funds. ## Fund Balances for Stamps.com or Endicia Standalone Accounts If you have connected a standalone [Stamps.com](https://help.shipengine.com/hc/en-us/articles/4406871553819) or [Endicia](https://help.shipengine.com/hc/en-us/articles/7679625277595) account, you can use the same endpoint to fund those account balances as well. Simply use the corresponding `carrier_id` to indicate which balance you want to fund.